# FastPDF Python Package

Welcome to **fastpdf** Python Package, the versatile and quick solution for your PDF rendering needs. This package is a SDK for fastpdfservice.com REST API.

## Overview

`fastpdf` is a Python package designed to simplify the PDF generation process. It streamlines the procedure of rendering HTML/CSS templates into a PDF document, offering granular control over the rendering options, and provides the ability to add images and barcodes into your PDFs.

`fastpdf` leverages the PDF manipulation API available at [fastpdfservice.com](https://www.fastpdfservice.com), ensuring high performance, scalability, and reliability. By using fastpdf, you are able to generate complex, high-quality PDFs efficiently. 

## Key Features

1. **HTML/CSS to PDF**: Render your HTML/CSS templates into a PDF with ease and precision.
2. **Header/Footer Management**: Easily manage the header and footer of your documents with flexible rendering options.
3. **Barcode & Image Integration**: Seamlessly integrate images and barcodes into your PDFs.
4. **Render Options**: Advanced render options allow granular control over your output. Control aspects like margins, orientation, scales, etc.
5. **Image Mode Selection**: fastpdf supports various image modes to tailor the image rendering to your needs.

## Getting Started

Before you start with the fastpdf Python Package, make sure you have Python 3.6+ installed on your machine.

To use `fastpdf`, you'll first need to register an account to [fastpdfservice.com](https://www.fastpdfservice.com), and get your API key. 

Install fastpdf using pip:
```shell
pip install fastpdf
```

Import the package in your Python script:

```python
from fastpdf import PDFClient
```

Then, you simply pass your HTML/CSS template and desired render options as arguments to the rendering methods.

Please refer to the [documentation](https://docs.fastpdfservice.com) for more details on the available features.

## Support

For any questions or support, reach out to us at `support@fastpdfservice.com`.

## License

fastpdf Python Package is licensed under the MIT license. See LICENSE for more details.


